Bug 108389

Summary: build of editors/openoffice.org-2-RC fails
Product: Ports & Packages Reporter: Kay Abendroth <kay.abendroth>
Component: Individual Port(s)Assignee: freebsd-openoffice (Nobody) <openoffice>
Status: Closed FIXED    
Severity: Affects Only Me    
Priority: Normal    
Version: Latest   
Hardware: Any   
OS: Any   

Description Kay Abendroth 2007-01-26 20:20:18 UTC
The build of editors/openoffice.org-2-RC fails because a filename mentioned in Makefile doesn't exist.

Fix: 

FREEBSD_ENV_SET should be set to 'FreeBSDX86Env.Set', because 'FreeBSDIntelEnv.Set' is not in working directory. This maybe also applies to amd64 builds?!
  So change your Makefile to contain the following:

.if ${ARCH} == amd64
GCC_TARGET=             x86_64-portbld-freebsd${OSREL}
FREEBSD_ENV_SET=        FreeBSDX86.Set
.else
GCC_TARGET=             ${ARCH}-portbld-freebsd${OSREL}
FREEBSD_ENV_SET=        FreeBSDX86Env.Set
.endif
How-To-Repeat: Try to build editors/openoffice.org-2-RC after updating your ports-tree.
Comment 1 Edwin Groothuis freebsd_committer 2007-01-26 20:20:31 UTC
Responsible Changed
From-To: freebsd-ports-bugs->openoffice

Over to maintainer
Comment 2 Kay Abendroth 2007-01-27 11:03:50 UTC
I made a type in my problem report. The correct version:

.if ${ARCH} == amd64
GCC_TARGET= x86_64-portbld-freebsd${OSREL}
FREEBSD_ENV_SET= FreeBSDX86Env.Set
.else
GCC_TARGET= ${ARCH}-portbld-freebsd${OSREL}
FREEBSD_ENV_SET= FreeBSDX86Env.Set
.endif
Comment 3 dfilter service freebsd_committer 2007-02-01 08:14:28 UTC
maho        2007-02-01 08:14:21 UTC

  FreeBSD ports repository

  Modified files:
    editors/openoffice.org-2-RC Makefile distinfo 
  Added files:
    editors/openoffice.org-2-RC/files patch-i74038 
  Log:
  Update to OOF680_m5, and build fix for i386[1].
  
  PR:             108389[1]
  Submitted by:   Kay Abendroth<kay.abendroth@raxion.net>[1] and kris via pointhat[1]
  
  Revision  Changes    Path
  1.280     +3 -3      ports/editors/openoffice.org-2-RC/Makefile
  1.101     +3 -3      ports/editors/openoffice.org-2-RC/distinfo
  1.1       +16 -0     ports/editors/openoffice.org-2-RC/files/patch-i74038 (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 Mark Linimon freebsd_committer freebsd_triage 2007-04-01 12:30:45 UTC
State Changed
From-To: open->feedback

Does this problem still recur with the latest openoffice?
Comment 5 Mark Linimon freebsd_committer freebsd_triage 2007-06-15 11:13:07 UTC
State Changed
From-To: feedback->closed

Feedback timeout (> 2 months).